import { ColumnItem } from "@queenjs/components/FormUI";
import BaseColorPicker from "../../formItems/BaseColorPicker";
// import { colorToHex, hexToColor } from "@queenjs/utils";

export function createColorOpts(): Pick<
  ColumnItem,
  "getValue" | "changeExtra" | "component" | "itemProps"
> {
  return {
    component: BaseColorPicker,
    itemProps: {
      style: { alignItems: "flex-start" },
    },
    getValue(v) {
      return v || "#ffffff";
      // try {
      //   return hexToColor(v);
      // } catch (error) {
      //   return [0, 0, 0];
      // }
    },
    changeExtra(data) {
      return data || "#ffffff";
      //   data.value = colorToHex(data.value);
      //   return data;
    },
  };
}
