import "@ckeditor/ckeditor5-build-classic/build/translations/zh-cn";
import { createAttrsForm } from "../../defines/createAttrsForm";
import { createCompHooks } from "../../defines/createCompHooks";
import { TextToolbar } from "./TextToolbar";
export { Component } from "./component";

export const options = {
  name: "文本",
  thumbnail: require("@/modules/editor/assets/icons/text2.svg"),
};

export const { createComp, useCompData } = createCompHooks({
  value: `<p style="text-align:center;line-height:1.5;"><span style="font-size:18px;">请输入内容</span></p>`,
  layout: {
    size: [750, 60],
  },
});

// export const Form = TextForm;
export const Toolbar = TextToolbar;
export const Form = createAttrsForm([
  // {
  //   label: "文本",
  //   dataIndex: "value",
  //   component: "Input",
  // },
]);
